sylius_grid:
    grids:
        sylius_admin_zone:
            driver:
                name: doctrine/orm
                options:
                    class: "%sylius.model.zone.class%"
            sorting:
                priority: desc
            fields:
                priority:
                    type: twig
                    label: sylius.ui.priority
                    sortable: ~
                    options:
                        template: "@SyliusAdmin/zone/grid/field/priority.html.twig"
                        vars:
                            th_class: "w-1 text-center"
                            td_class: "text-center"
                name:
                    type: twig
                    label: sylius.ui.name
                    options:
                        template: "@SyliusAdmin/shared/grid/field/name.html.twig"
                code:
                    type: twig
                    label: sylius.ui.code
                    options:
                        template: "@SyliusAdmin/shared/grid/field/code.html.twig"
                type:
                    type: twig
                    label: sylius.ui.type
                    options:
                        template: "@SyliusAdmin/zone/grid/field/type.html.twig"
            filters:
                name:
                    type: string
                    label: sylius.ui.name
                code:
                    type: string
                    label: sylius.ui.code
            actions:
                main:
                    create:
                        type: links
                        label: sylius.ui.create
                        options:
                            class: primary
                            icon: "tabler:plus"
                            header:
                                icon: "tabler:cube"
                                label: sylius.ui.type
                            links:
                                country:
                                    label: sylius.ui.zone_consisting_of_countries
                                    icon: "tabler:plus"
                                    route: sylius_admin_zone_create
                                    parameters:
                                        type: country
                                province:
                                    label: sylius.ui.zone_consisting_of_provinces
                                    icon: "tabler:plus"
                                    route: sylius_admin_zone_create
                                    parameters:
                                        type: province
                                zone:
                                    label: sylius.ui.zone_consisting_of_other_zones
                                    icon: "tabler:plus"
                                    route: sylius_admin_zone_create
                                    parameters:
                                        type: zone
                item:
                    update:
                        type: update
                    delete:
                        type: delete
                bulk:
                    delete:
                        type: delete
